
macro(sdk_install _DIR _TARGET _H_FILES)
	if(LIB)
		if(WIN32)
			if(NOT _H_FILES STREQUAL "")
				#message("HFILES ${_H_FILES}")
				install(FILES ${_H_FILES} DESTINATION ${MINGW_INCLUDE}/${_DIR})
			endif()
			qt_install(TARGETS ${_TARGET} DESTINATION ${MINGW_LIB})
			qt_install(TARGETS ${_TARGET} DESTINATION ${MINGW_BIN})
			qt_install(TARGETS ${_TARGET} DESTINATION QtBin)
		else()
			if (NOT _H_FILES STREQUAL "")
				install(FILES ${_H_FILES} DESTINATION ${CMAKE_INSTALL_PREFIX}/include/${_DIR})
			endif()
			qt_install(TARGETS ${_TARGET} DESTINATION ${CMAKE_INSTALL_PREFIX}/lib)
		endif()
		#message(STATUS "Install ${_TARGET} to system \"${CMAKE_INSTALL_PREFIX}\"")
	else()
		qt_install(TARGETS ${_TARGET} DESTINATION bin)
		#message(STATUS "Install ${_TARGET} to local \"bin\"")
	endif()
endmacro()
